## osso-abook-plugin-merge-contacts 0.1.0

=== Makefile ===
# Makefile.in generated by automake 1.8.5 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



SOURCES = $(libosso_abook_merge_contacts_plugin_la_SOURCES)

srcdir = .
top_srcdir = .

pkgdatadir = $(datadir)/osso-abook-plugin-merge-contacts
pkglibdir = $(libdir)/osso-abook-plugin-merge-contacts
pkgincludedir = $(includedir)/osso-abook-plugin-merge-contacts
top_builddir = .
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = arm-unknown-linux-gnueabi
DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
	$(top_srcdir)/configure AUTHORS COPYING compile config.guess \
	config.sub depcomp install-sh ltmain.sh missing mkinstalldirs
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno configure.status.lineno
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
am__installdirs = "$(DESTDIR)$(plugindir)"
pluginLTLIBRARIES_INSTALL = $(INSTALL)
LTLIBRARIES = $(plugin_LTLIBRARIES)
am__DEPENDENCIES_1 =
libosso_abook_merge_contacts_plugin_la_DEPENDENCIES =  \
	$(am__DEPENDENCIES_1)
am__dirstamp = $(am__leading_dot)dirstamp
am_libosso_abook_merge_contacts_plugin_la_OBJECTS =  \
	src/libosso_abook_merge_contacts_plugin_la-menu-extension.lo \
	src/libosso_abook_merge_contacts_plugin_la-gui.lo \
	src/libosso_abook_merge_contacts_plugin_la-accounts.lo \
	src/find_duplicate_contacts/libosso_abook_merge_contacts_plugin_la-debug.lo \
	src/find_duplicate_contacts/libosso_abook_merge_contacts_plugin_la-utils.lo \
	src/find_duplicate_contacts/libosso_abook_merge_contacts_plugin_la-merger.lo \
	src/find_duplicate_contacts/libosso_abook_merge_contacts_plugin_la-matchcell.lo \
	src/find_duplicate_contacts/libosso_abook_merge_contacts_plugin_la-merger-window.lo
libosso_abook_merge_contacts_plugin_la_OBJECTS =  \
	$(am_libosso_abook_merge_contacts_plugin_la_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I.
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = src/$(DEPDIR)/libosso_abook_merge_contacts_plugin_la-accounts.Plo \
	src/$(DEPDIR)/libosso_abook_merge_contacts_plugin_la-gui.Plo \
	src/$(DEPDIR)/libosso_abook_merge_contacts_plugin_la-menu-extension.Plo \
	src/find_duplicate_contacts/$(DEPDIR)/libosso_abook_merge_contacts_plugin_la-debug.Plo \
	src/find_duplicate_contacts/$(DEPDIR)/libosso_abook_merge_contacts_plugin_la-matchcell.Plo \
	src/find_duplicate_contacts/$(DEPDIR)/libosso_abook_merge_contacts_plugin_la-merger-window.Plo \
	src/find_duplicate_contacts/$(DEPDIR)/libosso_abook_merge_contacts_plugin_la-merger.Plo \
	src/find_duplicate_contacts/$(DEPDIR)/libosso_abook_merge_contacts_plugin_la-utils.Plo
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libosso_abook_merge_contacts_plugin_la_SOURCES)
DIST_SOURCES = $(libosso_abook_merge_contacts_plugin_la_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d $(distdir) \
    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr $(distdir); }; }
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ABOOK_CFLAGS = -DMAEMO_CHANGES -DMAEMO_GTK -pthread -I/usr/include/libosso-abook-1.0 -I/usr/include/gconf/2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/hildon-1 -I/usr/include/hildon-fm-2 -I/usr/include/evolution-data-server-1.4 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/libxml2 -I/usr/include/telepathy-1.0  
ABOOK_LIBS = -pthread -losso-abook-1.0 -lhildon-1 -lhildonfm -lhildonmime -lebook-1.2 -lmcclient -losso -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgnomevfs-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ledataserver-1.2 -lxml2 -lgconf-2 -ltelepathy-glib -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
ACLOCAL = ${SHELL} /home/adim/osso-abook-plugin-merge-contacts/missing --run aclocal-1.8
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/adim/osso-abook-plugin-merge-contacts/missing --run tar
AR = arm-linux-gnueabi-ar
AUTOCONF = ${SHELL} /home/adim/osso-abook-plugin-merge-contacts/missing --run autoconf
AUTOHEADER = ${SHELL} /home/adim/osso-abook-plugin-merge-contacts/missing --run autoheader
AUTOMAKE = ${SHELL} /home/adim/osso-abook-plugin-merge-contacts/missing --run automake-1.8
AWK = gawk
CC = arm-linux-gnueabi-gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -mthumb
CPP = arm-linux-gnueabi-gcc -E
CPPFLAGS = 
CXX = arm-linux-gnueabi-g++
CXXCPP = arm-linux-gnueabi-g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
ERROR_CFLAGS = 
EXEEXT = 
F77 = 
FFLAGS = 
GREP = /scratchbox/tools/bin/grep
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/adim/osso-abook-plugin-merge-contacts/missing --run makeinfo
NMEDIT = 
OBJEXT = o
PACKAGE = osso-abook-plugin-merge-contacts
PACKAGE_BUGREPORT = dimitrov@cs.karelia.ru
PACKAGE_NAME = osso-abook-plugin-merge-contacts
PACKAGE_STRING = osso-abook-plugin-merge-contacts 0.1
PACKAGE_TARNAME = osso-abook-plugin-merge-contacts
PACKAGE_VERSION = 0.1
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
RANLIB = arm-linux-gnueabi-ranlib
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = arm-linux-gnueabi-strip
VERSION = 0.1
ac_ct_CC = 
ac_ct_CXX = 
ac_ct_F77 = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = arm-linux-gnueabi
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = arm-unknown-linux-gnueabi
host_alias = arm-linux-gnueabi
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = /home/adim/osso-abook-plugin-merge-contacts/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = /etc
target_alias = 
AM_CFLAGS = \
	$(ERROR_CFLAGS) \
	-DG_LOG_DOMAIN=\"osso-abook-plugin-merge-contacts\" 

plugindir = $(libdir)/osso-addressbook/plugins
plugin_LTLIBRARIES = libosso-abook-merge-contacts-plugin.la

# localedir = $(datadir)/locale
# DEFS = -DLOCALEDIR=\"$(localedir)\" -DHAVE_CONFIG_H
# DEFS += -DGETTEXT_PACKAGE=\"mysocials\" -DHAVE_CONFIG_H
libosso_abook_merge_contacts_plugin_la_SOURCES = \
	src/menu-extension.c \
	src/appdata.h \
	src/gui.c \
	src/gui.h \
	src/accounts.c \
	src/accounts.h \
        src/find_duplicate_contacts/debug.c \
        src/find_duplicate_contacts/debug.h \
        src/find_duplicate_contacts/utils.c \
        src/find_duplicate_contacts/utils.h \
        src/find_duplicate_contacts/merger.c \
        src/find_duplicate_contacts/merger.h \
        src/find_duplicate_contacts/matchcell.c \
        src/find_duplicate_contacts/matchcell.h \
        src/find_duplicate_contacts/merger-window.c \
        src/find_duplicate_contacts/merger-window.h \
	$(null)

libosso_abook_merge_contacts_plugin_la_CFLAGS = $(AM_CFLAGS) $(ABOOK_CFLAGS)
# libosso_abook_merge_contacts_plugin_la_CFLAGS+= -DLOCALEDIR=\"$(localedir)\"
libosso_abook_merge_contacts_plugin_la_LDFLAGS = $(AM_LDFLAGS) -avoid-version -module
libosso_abook_merge_contacts_plugin_la_LIBADD = $(ABOOK_LIBS) 
all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
am--refresh:
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
	      cd $(srcdir) && $(AUTOMAKE) --foreign  \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)

config.h: stamp-h1
	@if test ! -f $@; then \
	  rm -f stamp-h1; \
	  $(MAKE) stamp-h1; \
	else :; fi

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status config.h
$(srcdir)/config.h.in:  $(am__configure_deps) 
	cd $(top_srcdir) && $(AUTOHEADER)
	rm -f stamp-h1
	touch $@

distclean-hdr:
	-rm -f config.h stamp-h1
install-pluginLTLIBRARIES: $(plugin_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	test -z "$(plugindir)" || $(mkdir_p) "$(DESTDIR)$(plugindir)"
	@list='$(plugin_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f="`echo $$p | sed -e 's|^.*/||'`"; \
	    echo " $(LIBTOOL) --mode=install $(pluginLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(plugindir)/$$f'"; \

=== po/Makefile ===
# Makefile for program source directory in GNU NLS utilities package.
# Copyright (C) 1995, 1996, 1997 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
#
# This file file be copied and used freely without restrictions.  It can
# be used in projects which are not available under the GNU Public License
# but which still want to provide support for the GNU gettext functionality.
# Please note that the actual code is *not* freely available.
#
# - Modified by Owen Taylor <otaylor@redhat.com> to use GETTEXT_PACKAGE
#   instead of PACKAGE and to look for po2tbl in ./ not in intl/
#
# - Modified by jacob berkman <jacob@ximian.com> to install
#   Makefile.in.in and po2tbl.sed.in for use with glib-gettextize

GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
PACKAGE = osso-abook-plugin-merge-contacts
VERSION = 0.1

SHELL = /bin/sh


srcdir = .
top_srcdir = ..


prefix = /usr
exec_prefix = ${prefix}
datarootdir = ${prefix}/share
datadir = ${datarootdir}
libdir = ${exec_prefix}/lib
localedir = $(libdir)/locale
gnulocaledir = $(datadir)/locale
gettextsrcdir = $(datadir)/glib-2.0/gettext/po
subdir = po

INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
MKINSTALLDIRS = $(top_srcdir)/@MKINSTALLDIRS@

CC = arm-linux-gnueabi-gcc
GENCAT = @GENCAT@
GMSGFMT = @GMSGFMT@
MSGFMT = @MSGFMT@
MSGFMT_OPTS = @MSGFMT_OPTS@
XGETTEXT = @XGETTEXT@
MSGMERGE = msgmerge

DEFS = -DHAVE_CONFIG_H
CFLAGS = -g -O2 -mthumb
CPPFLAGS = 

INCLUDES = -I.. -I$(top_srcdir)/intl

COMPILE = $(CC) -c $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS) $(XCFLAGS)

SOURCES = 
POFILES = @POFILES@
GMOFILES = @GMOFILES@
DISTFILES = LINGUAS ChangeLog Makefile.in.in POTFILES.in $(GETTEXT_PACKAGE).pot \
$(POFILES) $(GMOFILES) $(SOURCES)

POTFILES = \

CATALOGS = @CATALOGS@
CATOBJEXT = @CATOBJEXT@
INSTOBJEXT = @INSTOBJEXT@

.SUFFIXES:
.SUFFIXES: .c .o .po .pox .gmo .mo .msg .cat

.c.o:
	$(COMPILE) $<

.po.pox:
	$(MAKE) $(GETTEXT_PACKAGE).pot
	$(MSGMERGE) $< $(srcdir)/$(GETTEXT_PACKAGE).pot -o $*.pox

.po.mo:
	$(MSGFMT) -o $@ $<

.po.gmo:
	file=$(srcdir)/`echo $* | sed 's,.*/,,'`.gmo \
	  && rm -f $$file && $(GMSGFMT) $(MSGFMT_OPTS) -o $$file $<

.po.cat:
	sed -f ../intl/po2msg.sed < $< > $*.msg \
	  && rm -f $@ && $(GENCAT) $@ $*.msg


all: all-@USE_NLS@

all-yes: $(CATALOGS)
all-no:

$(srcdir)/$(GETTEXT_PACKAGE).pot: $(POTFILES)
	$(XGETTEXT) --default-domain=$(GETTEXT_PACKAGE) --directory=$(top_srcdir) \
	  --add-comments --keyword=_ --keyword=N_ \
          --flag=g_strdup_printf:1:c-format \
          --flag=g_string_printf:2:c-format \
          --flag=g_string_append_printf:2:c-format \
          --flag=g_error_new:3:c-format \
          --flag=g_set_error:4:c-format \
          --flag=g_markup_printf_escaped:1:c-format \
          --flag=g_log:3:c-format \
          --flag=g_print:1:c-format \
          --flag=g_printerr:1:c-format \
          --flag=g_printf:1:c-format \
          --flag=g_fprintf:2:c-format \
          --flag=g_sprintf:2:c-format \
          --flag=g_snprintf:3:c-format \
          --flag=g_scanner_error:2:c-format \
          --flag=g_scanner_warn:2:c-format \
	  --files-from=$(srcdir)/POTFILES.in \
	&& test ! -f $(GETTEXT_PACKAGE).po \
	   || ( rm -f $(srcdir)/$(GETTEXT_PACKAGE).pot \
		&& mv $(GETTEXT_PACKAGE).po $(srcdir)/$(GETTEXT_PACKAGE).pot )

install: install-exec install-data
install-exec:
install-data: install-data-@USE_NLS@
install-data-no: all
install-data-yes: all
	if test -r "$(MKINSTALLDIRS)"; then \
	  $(MKINSTALLDIRS) $(DESTDIR)$(datadir); \
	else \
	  $(SHELL) $(top_srcdir)/mkinstalldirs $(DESTDIR)$(datadir); \
	fi
	@catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  case "$$cat" in \
	    *.gmo) destdir=$(gnulocaledir);; \
	    *)     destdir=$(localedir);; \
	  esac; \
	  lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
	  dir=$(DESTDIR)$$destdir/$$lang/LC_MESSAGES; \
	  if test -r "$(MKINSTALLDIRS)"; then \
	    $(MKINSTALLDIRS) $$dir; \
	  else \
	    $(SHELL) $(top_srcdir)/mkinstalldirs $$dir; \
	  fi; \
	  if test -r $$cat; then \
	    $(INSTALL_DATA) $$cat $$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT); \
	    echo "installing $$cat as $$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT)"; \
	  else \
	    $(INSTALL_DATA) $(srcdir)/$$cat $$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT); \
	    echo "installing $(srcdir)/$$cat as" \
		 "$$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT)"; \
	  fi; \
	  if test -r $$cat.m; then \
	    $(INSTALL_DATA) $$cat.m $$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT).m; \
	    echo "installing $$cat.m as $$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT).m"; \
	  else \
	    if test -r $(srcdir)/$$cat.m ; then \
	      $(INSTALL_DATA) $(srcdir)/$$cat.m \
		$$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT).m; \
	      echo "installing $(srcdir)/$$cat as" \
		   "$$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT).m"; \
	    else \
	      true; \
	    fi; \
	  fi; \
	done
	if test "$(PACKAGE)" = "glib"; then \
	  if test -r "$(MKINSTALLDIRS)"; then \
	    $(MKINSTALLDIRS) $(DESTDIR)$(gettextsrcdir); \
	  else \
	    $(SHELL) $(top_srcdir)/mkinstalldirs $(DESTDIR)$(gettextsrcdir); \
	  fi; \
	  $(INSTALL_DATA) $(srcdir)/Makefile.in.in \
			  $(DESTDIR)$(gettextsrcdir)/Makefile.in.in; \
	else \
	  : ; \
	fi

# Define this as empty until I found a useful application.
installcheck:

uninstall:
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
	  rm -f $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE)$(INSTOBJEXT); \
	  rm -f $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE)$(INSTOBJEXT).m; \
	  rm -f $(DESTDIR)$(gnulocaledir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE)$(INSTOBJEXT); \
	  rm -f $(DESTDIR)$(gnulocaledir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE)$(INSTOBJEXT).m; \
	done
	if test "$(PACKAGE)" = "glib"; then \
	  rm -f $(DESTDIR)$(gettextsrcdir)/Makefile.in.in; \
	fi

check: all

dvi info tags TAGS ID:

mostlyclean:
	rm -f core core.* *.pox $(GETTEXT_PACKAGE).po *.old.po cat-id-tbl.tmp
	rm -fr *.o

clean: mostlyclean

distclean: clean
	rm -f Makefile Makefile.in POTFILES *.mo *.msg *.cat *.cat.m

maintainer-clean: distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."
	rm -f $(GMOFILES)

distdir = ../$(GETTEXT_PACKAGE)-$(VERSION)/$(subdir)
dist distdir: update-po $(DISTFILES)
	dists="$(DISTFILES)"; \
	for file in $$dists; do \
	  ln $(srcdir)/$$file $(distdir) 2> /dev/null \
	    || cp -p $(srcdir)/$$file $(distdir); \
	done

update-po: Makefile
	$(MAKE) $(GETTEXT_PACKAGE).pot
	tmpdir=`pwd`; \
	cd $(srcdir); \
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
	  echo "$$lang:"; \
	  if $(MSGMERGE) $$lang.po $(GETTEXT_PACKAGE).pot -o $$tmpdir/$$lang.new.po; then \
	    if cmp $$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
	      rm -f $$tmpdir/$$lang.new.po; \
            else \
	      if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
	        :; \
	      else \
	        echo "msgmerge for $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
	        rm -f $$tmpdir/$$lang.new.po; \
	        exit 1; \
	      fi; \
	    fi; \
	  else \
	    echo "msgmerge for $$cat failed!"; \
	    rm -f $$tmpdir/$$lang.new.po; \
	  fi; \
	done

# POTFILES is created from POTFILES.in by stripping comments, empty lines
# and Intltool tags (enclosed in square brackets), and appending a full
# relative path to them
POTFILES: POTFILES.in
	( if test 'x$(srcdir)' != 'x.'; then \
	    posrcprefix='$(top_srcdir)/'; \
	  else \
	    posrcprefix="../"; \
	  fi; \
	  rm -f $@-t $@ \
	    && (sed -e '/^#/d' 						\
		    -e "s/^\[.*\] +//" 					\
		    -e '/^[ 	]*$$/d' 				\
		    -e "s@.*@	$$posrcprefix& \\\\@" < $(srcdir)/$@.in	\
		| sed -e '$$s/\\$$//') > $@-t \
	    && chmod a-w $@-t \
	    && mv $@-t $@ )

Makefile: Makefile.in.in ../config.status POTFILES
	cd .. \
	  && $(SHELL) ./config.status $(subdir)/$@.in

# Tell versions [3.59,3.63) of GNU make not to export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== debian/changelog ===
osso-abook-plugin-merge-contacts (0.1.0) unstable; urgency=low

  * Initial version.

 -- Vyacheslav Dimitrov <dimitrov@cs.karelia.ru>  Mon, 19 September 2010 18:34:20 +0100

=== debian/control ===
Source: osso-abook-plugin-merge-contacts
Section: user/utilities
Priority: optional
Maintainer: Vyacheslav Dimitrov <dimitrov@cs.karelia.ru>
Build-Depends: debhelper (>= 5.0.0), cdbs, autotools-dev, libosso-abook-dev (>= 4.20100302)
Standards-Version: 3.7

Package: osso-abook-plugin-merge-contacts
Section: user/utilities
Architecture: any
Depends: ${shlibs:Depends}
Description: Plugin allows merge contacts. Unlikely to standart function for merging
 contacts our plugin lets user to filter contacts by accounts. 
 For example  let us consider a user that has two accounts: jabber (on the gmail.com server, so
 called Google Talk) and ICQ. When user choose filtering by jabber account, then
 the list of contacts  will has only contacts which have account on the
 gmail.com server, when user choose filtering by ICQ account, then the list
 of contacts will has only contacts with have ICQ account. Also user can
 find duplicate contacts from the menu of our plugin. This code belongs
 to Marco Barisione and he has the separate package
 with this function for maemo address book. A package has the name
 "contacts-merger".
XSBC-Bugtracker: mailto:dimitrov@cs.karelia.ru
XB-Maemo-Display-Name: Merge your duplicate contacts
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
 d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAApxJREFUeNrsmb9v00AUx+8i
 DwyomAGpU1sqMUZx6dClgvYvaAbYihSJP4AiMSEEoqqYGJo/oIiBoVI7uH9B
 nbFCUEcdQSLuxEZADI0vsXlHkipxnfh+vLSJeie9xM4l98337t372AmN45hM
 csuRCW/GgDFgDBgDV9us3hNKKcqg91//LZBczoXR5vg5kKZGoqj4dfNmVXfs
 JLdo7wsYBpyXv2ZhIB8O7URXHdQd/93tANMAegq1muFGxEIbgiTC5n0jTSGM
 Bl/UGbZA428gDK9uE+OkUMOHXbsyoNsb+zIaMeam5H87mmz8DXz/UKi0WMOH
 IInweN9EgCxuslLEGnUI0ok6vLYxCi10DnTbzKPDWRi71Bn34+n+aoAyOQkO
 ZG5iWaouvj0rwFOR8PcRst0BWulO/ox3u1/e3Khi0nvoCshQdeHVn1vwXhfG
 WMmYQQ8eisdbU79VdKRWgJOTEmqndNkxiXlOPz+vPi1eYagIqMBgzKvRgoqO
 FAdEqZp/8fMZlEgZyjr8Myfvp8u69LYwqBo1w5LCfuSfKevS28KgKsBL5RrH
 waC3lUVV2DXp9ZtSr2cFtOktoqPEgbvrR8cpeej9+LS0yg/uPT2Beh/VFKlN
 RXWU7weyqPptJx8MvPbJCAx6Z4KstrtcBao6vVQN9h8EiU3sK1zr+7I60imU
 oKrbpWqnu4+qM48razCPRVhjvhnnBs1HO6epe7r38EBFR+ieWIeqMk1FR4jE
 OlSVqj4IOhc2cZeqvDSKBftPVdkvj6VjYVNVePaRdKwUqGhRVQJeKDppK3Ap
 vyZg6fQZ4FRtsdEbwNTpM8CpOv/k88gNYOqkpZA2VQVTCEUnFWQ6VJW68VfQ
 GUriSWzmHxpjwBgwBoyB623gnwADALiGhInNljADAAAAAElFTkSuQmCC

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# Use soft-float and thumb mode if it enabled. 
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mthumb
endif

ifneq (,$(findstring parallel,$(DEB_BUILD_OPTIONS)))
	NJOBS_OPT := $(shell ( \
		expr x"$$DEB_BUILD_OPTIONS" : x'.*parallel=\([0-9][0-9]*\)' \
		|| grep -c ^processor /proc/cpuinfo 2>/dev/null             \
		) | sed -n -e '/[1-9]/s/^/-j/p' )
	MAKEFLAGS += $(NJOBS_OPT)
endif

configure: configure-stamp configure.ac
configure-stamp:
	dh_testdir
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	CFLAGS="$(CFLAGS)" ./autogen.sh \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr --sysconfdir=/etc \
		--disable-Werror \
		$(DEBUG_OPT) $(DOCS_OPT)
	touch configure-stamp

config.status: configure

build: build-stamp
build-stamp: config.status
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

# Build architecture-independent files here.
binary-indep-after-arch: binary-arch
binary-indep-after-arch \
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installmime
	dh_install --list-missing
	dh_gconf
	dh_link
#	dh_strip 
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep-after-arch
.PHONY: build clean binary-indep-after-arch binary-indep binary-arch binary install

## osso-abook-plugin-merge-contacts 0.1.1

=== debian/changelog ===
osso-abook-plugin-merge-contacts (0.1.1) unstable; urgency=low

  * Changed display name.

 -- Vyacheslav Dimitrov <dimitrov@cs.karelia.ru>  Thu, 30 September 2010 18:34:20 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  with this function for maemo address book. A package has the name
  "contacts-merger".
 XSBC-Bugtracker: mailto:dimitrov@cs.karelia.ru
-XB-Maemo-Display-Name: Merge your duplicate contacts
+XB-Maemo-Display-Name: Merge contacts
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
  d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAApxJREFUeNrsmb9v00AUx+8i

## osso-abook-plugin-merge-contacts 0.1.2

=== debian/changelog ===
osso-abook-plugin-merge-contacts (0.1.2) unstable; urgency=low

  * Fixed description.

 -- Vyacheslav Dimitrov <dimitrov@cs.karelia.ru>  Thu, 30 September 2010 19:00:20 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
 Section: user/utilities
 Architecture: any
 Depends: ${shlibs:Depends}
-Description: Plugin allows merge contacts. Unlikely to standart function for merging
+Description: Plugin allows merge contacts with filter by accounts. 
+ Unlikely to standart function for merging
  contacts our plugin lets user to filter contacts by accounts. 
  For example  let us consider a user that has two accounts: jabber (on the gmail.com server, so
  called Google Talk) and ICQ. When user choose filtering by jabber account, then

## osso-abook-plugin-merge-contacts 0.1.3

=== debian/changelog ===
osso-abook-plugin-merge-contacts (0.1.3) unstable; urgency=low

  * Fixed bug with representation of name.

 -- Vyacheslav Dimitrov <dimitrov@cs.karelia.ru>  Thu, 30 September 2010 20:00:20 +0100

## osso-abook-plugin-merge-contacts 0.1.4

=== debian/changelog ===
osso-abook-plugin-merge-contacts (0.1.4) unstable; urgency=low

  * Added link to homepage of project

 -- Vyacheslav Dimitrov <dimitrov@cs.karelia.ru>  Thu, 05 October 2010 12:00:20 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 Package: osso-abook-plugin-merge-contacts
 Section: user/utilities
+Homepage: http://merge-contacts.garage.maemo.org/
 Architecture: any
 Depends: ${shlibs:Depends}
 Description: Plugin allows merge contacts with filter by accounts.

## osso-abook-plugin-merge-contacts 0.1.5

=== Makefile ===
--- 
+++ 
@@ -36,7 +36,7 @@
 NORMAL_UNINSTALL = :
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
-host_triplet = arm-unknown-linux-gnueabi
+host_triplet = i486-pc-linux-gnu
 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
 	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
 	$(top_srcdir)/configure AUTHORS COPYING compile config.guess \
@@ -109,18 +109,18 @@
 AMDEP_FALSE = #
 AMDEP_TRUE = 
 AMTAR = ${SHELL} /home/adim/osso-abook-plugin-merge-contacts/missing --run tar
-AR = arm-linux-gnueabi-ar
+AR = ar
 AUTOCONF = ${SHELL} /home/adim/osso-abook-plugin-merge-contacts/missing --run autoconf
 AUTOHEADER = ${SHELL} /home/adim/osso-abook-plugin-merge-contacts/missing --run autoheader
 AUTOMAKE = ${SHELL} /home/adim/osso-abook-plugin-merge-contacts/missing --run automake-1.8
 AWK = gawk
-CC = arm-linux-gnueabi-gcc
+CC = gcc
 CCDEPMODE = depmode=gcc3
-CFLAGS = -g -O2 -mthumb
-CPP = arm-linux-gnueabi-gcc -E
+CFLAGS = -g -O2
+CPP = gcc -E
 CPPFLAGS = 
-CXX = arm-linux-gnueabi-g++
-CXXCPP = arm-linux-gnueabi-g++ -E
+CXX = g++
+CXXCPP = g++ -E
 CXXDEPMODE = depmode=gcc3
 CXXFLAGS = -g -O2
 CYGPATH_W = echo
@@ -158,14 +158,14 @@
 PACKAGE_VERSION = 0.1
 PATH_SEPARATOR = :
 PKG_CONFIG = /scratchbox/tools/bin/pkg-config
-RANLIB = arm-linux-gnueabi-ranlib
+RANLIB = ranlib
 SED = /scratchbox/tools/bin/sed
 SET_MAKE = 
 SHELL = /bin/sh
-STRIP = arm-linux-gnueabi-strip
+STRIP = strip
 VERSION = 0.1
-ac_ct_CC = 
-ac_ct_CXX = 
+ac_ct_CC = gcc
+ac_ct_CXX = g++
 ac_ct_F77 = 
 am__fastdepCC_FALSE = #
 am__fastdepCC_TRUE = 
@@ -175,21 +175,21 @@
 am__leading_dot = .
 am__quote = 
 bindir = ${exec_prefix}/bin
-build = arm-unknown-linux-gnueabi
-build_alias = arm-linux-gnueabi
-build_cpu = arm
-build_os = linux-gnueabi
-build_vendor = unknown
+build = i486-pc-linux-gnu
+build_alias = 
+build_cpu = i486
+build_os = linux-gnu
+build_vendor = pc
 datadir = ${datarootdir}
 datarootdir = ${prefix}/share
 docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
 dvidir = ${docdir}
 exec_prefix = ${prefix}
-host = arm-unknown-linux-gnueabi
-host_alias = arm-linux-gnueabi
-host_cpu = arm
-host_os = linux-gnueabi
-host_vendor = unknown
+host = i486-pc-linux-gnu
+host_alias = 
+host_cpu = i486
+host_os = linux-gnu
+host_vendor = pc
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
@@ -207,7 +207,7 @@
 psdir = ${docdir}
 sbindir = ${exec_prefix}/sbin
 sharedstatedir = ${prefix}/com
-sysconfdir = /etc
+sysconfdir = ${prefix}/etc
 target_alias = 
 AM_CFLAGS = \
 	$(ERROR_CFLAGS) \
@@ -304,3 +304,10 @@
 	  if test -f $$p; then \
 	    f="`echo $$p | sed -e 's|^.*/||'`"; \
 	    echo " $(LIBTOOL) --mode=install $(pluginLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(plugindir)/$$f'"; \
+	    $(LIBTOOL) --mode=install $(pluginLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(plugindir)/$$f"; \
+	  else :; fi; \
+	done
+
+uninstall-pluginLTLIBRARIES:
+	@$(NORMAL_UNINSTALL)
+	@list='$(plugin_LTLIBRARIES)'; for p in $$list; do \

=== po/Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
 INSTALL_DATA = ${INSTALL} -m 644
 MKINSTALLDIRS = $(top_srcdir)/@MKINSTALLDIRS@
 
-CC = arm-linux-gnueabi-gcc
+CC = gcc
 GENCAT = @GENCAT@
 GMSGFMT = @GMSGFMT@
 MSGFMT = @MSGFMT@
@@ -46,7 +46,7 @@
 MSGMERGE = msgmerge
 
 DEFS = -DHAVE_CONFIG_H
-CFLAGS = -g -O2 -mthumb
+CFLAGS = -g -O2
 CPPFLAGS = 
 
 INCLUDES = -I.. -I$(top_srcdir)/intl

=== debian/changelog ===
osso-abook-plugin-merge-contacts (0.1.5) unstable; urgency=low

  * Fixed description

 -- Vyacheslav Dimitrov <dimitrov@cs.karelia.ru>  Thu, 13 October 2010 16:00:20 +0100

=== debian/control ===
--- 
+++ 
@@ -10,18 +10,20 @@
 Homepage: http://merge-contacts.garage.maemo.org/
 Architecture: any
 Depends: ${shlibs:Depends}
-Description: Plugin allows merge contacts with filter by accounts. 
- Unlikely to standart function for merging
- contacts our plugin lets user to filter contacts by accounts. 
- For example  let us consider a user that has two accounts: jabber (on the gmail.com server, so
- called Google Talk) and ICQ. When user choose filtering by jabber account, then
- the list of contacts  will has only contacts which have account on the
- gmail.com server, when user choose filtering by ICQ account, then the list
- of contacts will has only contacts with have ICQ account. Also user can
- find duplicate contacts from the menu of our plugin. This code belongs
- to Marco Barisione and he has the separate package
- with this function for maemo address book. A package has the name
- "contacts-merger".
+Description: Plugin allows to merge contacts. 
+ Internet users often import contacts into a device address book from 
+ different services like social networks, instant messengers and so on. 
+ The data of contact record of a user's friend may differ from service to service. 
+ Hence in the address book may appear duplicate records which refer, as a matter of fact, to one person.
+ .
+ In the case of some hundreds of friends the address book size grows unreasonably. 
+ Our plugin is a tool helping to solve this problem by merging duplicate records into 
+ one record of the address book. The plugin simplifies search of duplicate contacts 
+ by presenting contacts list in two windows. User can define selection presenting in 
+ any of windows subset of contacts receiving from one service only (e.g skype, icq, jabber). 
+ In a window selection of a contact may be done by live search from keyboard. 
+ We also have used code of Marco Barisione contacts-merger plugin, providing search of 
+ duplicate contact by comparison of contacts records fields.
 XSBC-Bugtracker: mailto:dimitrov@cs.karelia.ru
 XB-Maemo-Display-Name: Merge contacts
 XB-Maemo-Icon-26:
